Loading...
Searching...
No Matches
dcmtk::log4cplus::spi::LocaleFactory Class Referenceabstract

This abstract class defines the "Factory" interface to create STD_NAMESPACE locale instances. More...

Inheritance diagram for dcmtk::log4cplus::spi::LocaleFactory:

## Public Member Functions

virtual ProductPtr | createObject (const log4cplus::helpers::Properties &props)=0
Public Member Functions inherited from dcmtk::log4cplus::spi::BaseFactory
virtual log4cplus::tstring const & | getTypeName () const =0
| Returns the typename of the objects this factory creates.

## Detailed Description

This abstract class defines the "Factory" interface to create STD_NAMESPACE locale instances.

## Member Function Documentation

## createObject()

virtual ProductPtr dcmtk::log4cplus::spi::LocaleFactory::createObject | ( | const log4cplus::helpers::Properties & | props | ) |

pure virtual

Returns
  STD_NAMESPACE locale instance

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/factory.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0